//--------------------------------------------------------------
// File     : main.c
// Datum    : 01.01.2015
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der ID-Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_id_check.h"

int main(void)
{
  uint32_t w0,w1,w2;

  SystemInit(); // Quarz Einstellungen aktivieren

  // auslesen der 96bit "unique ID"
  w0=UB_IDCHK_Read_UID(UID_WORD_0);
  w1=UB_IDCHK_Read_UID(UID_WORD_1);
  w2=UB_IDCHK_Read_UID(UID_WORD_2);

  while(1)
  {

  }
}
